#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l=0, r;
    cin>>n;
    vector<int>a,b;
    for(int i=1;i<=2*n;i+=2){
        a.push_back(i);
        if(i+1<=n*2)b.push_back(i+1);
    }
    r=a.size()-1;
    for(int i=0;i<n;i++){
        if(i%2==0)cout<<a[l]<<" ",l++;
        else cout<<a[r]<<" ",r--;
    }
    cout<<endl;
    l=0;
    r=b.size()-1;
    for(int i=0;i<n;i++){
        if(i%2==0)cout<<b[l]<<" ",l++;
        else cout<<b[r]<<" ",r--;
    }
    return 0;
}